# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-cryptsetup
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-module-cryptsetup
Version:        0.1.4
Release:        alt1_5
Summary:        Python bindings for cryptsetup

Group:          Development/Python
License:        GPLv2+
Url:            http://git.fedorahosted.org/git/?p=python-cryptsetup.git;a=snapshot;h=%{oldname}-%{version};sf=tgz

# To generate source do
# git clone git://git.fedorahosted.org/python-cryptsetup.git
# make archive

Source0:        %{oldname}-%{version}.tar.gz

Requires: libcryptsetup >= 1.2.0
BuildRequires:  libcryptsetup-devel >= 1.2.0
BuildRequires:  python-devel
BuildRequires:  python-module-distribute
Source44: import.info

%description
A python module to ease the manipulation with LUKS devices.

%prep
%setup -n %{oldname}-%{version} -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
# For noarch packages: sitelib
%{python_sitelibdir}/pycryptsetup
%{python_sitelibdir}/cryptsetup.so
%{python_sitelibdir}/*egg-info

%doc COPYING
%doc selftest.py

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.4-alt1_5
- update to new release by fcimport

* Sat Jan 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.4-alt1_4
- initial fc import

